#include <windows.h>
#include <commctrl.h>

#include "tool.h"

LRESULT CALLBACK MainWndProc(HWND, UINT, WPARAM, LPARAM);

const char szProgName[] = "TheProg";
const char szClassName[] = "MainWind";

HWND hToolbar;

TBBUTTON tbButtons[2];

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInst, LPSTR lpszArgs,
                    int nWinMode)
{
HWND hWnd;
MSG msg;
WNDCLASS wcl;

wcl.hInstance       = hInstance;
wcl.lpszClassName   = szClassName;
wcl.lpfnWndProc     = MainWndProc;
wcl.style           = 0;
wcl.hIcon           = LoadIcon(NULL, IDI_APPLICATION);
wcl.hCursor         = LoadCursor(NULL, IDC_ARROW);
wcl.lpszMenuName    = NULL;
wcl.cbClsExtra      = 0;
wcl.cbWndExtra      = 0;
wcl.hbrBackground   = static_cast<HBRUSH>(GetStockObject(WHITE_BRUSH));

if(!RegisterClass (&wcl))
    return 0;

hWnd = CreateWindow(szClassName, szProgName, WS_OVERLAPPEDWINDOW, CW_USEDEFAULT,
                    CW_USEDEFAULT, CW_USEDEFAULT, CW_USEDEFAULT, HWND_DESKTOP,
                    NULL, hInstance, NULL);

ShowWindow(hWnd, nWinMode);
UpdateWindow(hWnd);

tbButtons[0].iBitmap = 0;
tbButtons[0].idCommand = ID_ONE;
tbButtons[0].fsState = TBSTATE_ENABLED;
tbButtons[0].fsStyle = TBSTYLE_BUTTON;
tbButtons[0].dwData = 0L;
tbButtons[0].iString = 0;

tbButtons[1].iBitmap = 1;
tbButtons[1].idCommand = ID_TWO;
tbButtons[1].fsState = TBSTATE_ENABLED;
tbButtons[1].fsStyle = TBSTYLE_BUTTON;
tbButtons[1].dwData = 0L;
tbButtons[1].iString = 0;



InitCommonControls();

hToolbar = CreateToolbarEx(hWnd, WS_VISIBLE | WS_CHILD | WS_BORDER,
                            IDW_TOOLBAR, 2, hInstance, IDBMP_TBBMPS,
                            tbButtons, 2, 0, 0, 16, 16, sizeof(TBBUTTON));

while(GetMessage(&msg, NULL, 0, 0))
{
    TranslateMessage(&msg);
    DispatchMessage(&msg);
}
return msg.wParam;
}

LRESULT CALLBACK MainWndProc(HWND hWnd, UINT message, WPARAM wParam,
                             LPARAM lParam)
{
switch(message)
{
    case WM_DESTROY:
        PostQuitMessage(0);
        break;
    default:
        return DefWindowProc(hWnd, message, wParam, lParam);
}
return 0;
}
